This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 74744 - Missing requirement on new enough freetype
Missing requirement on new enough freetype
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pango (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 08:19 EDT by Göran Uddeborg
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-01 08:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-10-01 08:19:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
Pango of RH 8.0 has in it's requirements libfreetype.so.6.  But if used together
with freetype from RH 7.3, it fails to find the symbol FT_Set_Hint_Flags.  There
ought to be a requirement on a newer freetype in the RPM.

Version-Release number of selected component (if applicable): 1.1.1-1


How reproducible:
Always

Steps to Reproduce:
1.Install pango from RH 8.0 and freetype from RH 7.3:
   uebn> rpm -q pango
   pango-1.1.1-1
   uebn> rpm -q freetype
   freetype-2.0.9-2
2.Log in an double-click the "Home" icon on the desktop.

Actual Results:  A nautilus window comes up but is empty, disappears, the screen
flashes, a new empty window comes up, and so on until I log out.

In the log file there is a line:

nautilus: relocation error: /usr/lib/libpangoft2-1.0.so.0: undefined symbol:
FT_Set_Hint_Flags

Additional info:

A "Requires: freetype >= 2.1.2" in pango would solve this.  I haven't researched
exactly which version of freetype between 2.0.9 and 2.1.2 introduced this symbol.
Comment 1 Owen Taylor 2002-10-31 21:24:36 EST
Fixed in 1.1.1-5

Note You need to log in before you can comment on or make changes to this bug.